/*
 * $Id: Noiz2Frame.java,v 1.6 2002/10/03 15:56:48 kenta Exp $
 *
 * Copyright 2002 Kenta Cho. All rights reserved.
 */
package jp.gr.java_conf.abagames.noiz2;

import jp.gr.java_conf.abagames.bulletmlkxml.*;
import java.awt.*;
import java.awt.event.*;
import jp.kyocera.monalisa.awt.*;

/**
 * PocketCosmo main frame.
 *
 * @version $Revision: 1.6 $
 */
public class Noiz2Frame extends MFrame {

  public Noiz2Frame(String icon, String title) {
    super(icon, title);
  }

  private Noiz2 noiz2;

  public void init(Noiz2 noiz2) {
    this.noiz2 = noiz2;
  }

  public void paint(Graphics g) {
    //panel = null;
    noiz2.paint();
  }

  public void update(Graphics g) {
    paint(g);
  }

  private Panel panel;

  public boolean handleEvent(Event event) {
    if ( panel == null ) {
      if ( event.target instanceof Panel ) {
        panel = (Panel)event.target;
        noiz2.paint();
      }
    }
    return noiz2.handleEvent(event);
  }

  public Panel getPanel() {
    Component[] cmps = getComponents();
    for ( int i=0 ; i<cmps.length ; i++ ) {
      if ( cmps[i] instanceof Panel ) {
        Panel pn = (Panel)cmps[i];
        Dimension rct = pn.getSize();
        //if ( rct.width == 240 && (rct.height == 304 || rct.height == 288) ) {
        if ( rct.height > 160 ) {
          panel = pn;
          return pn;
        }
      }
    }
    if ( panel != null ) return panel;
    return null;
  }
}
