/*
 * $Id: Horizontal.java,v 1.2 2002/10/02 16:00:45 kenta Exp $
 *
 * Copyright 2001 Kenta Cho. All rights reserved.
 */
package jp.gr.java_conf.abagames.bulletmlkxml;

import org.kxml.*;
import org.kxml.parser.*;
import java.io.*;

/**
 * Horizontal xml data.
 *
 * @version $Revision: 1.2 $
 */
public class Horizontal {
  private String type, num;

  public Horizontal(ParseEvent pe, XmlParser parser) throws IOException {
    Attribute ab = pe.getAttribute("type");
    if ( ab != null ) type = ab.getValue();
     pe = parser.read();
     num = pe.getText();
  }

  public final String getType() {
    return type;
  }

  public final String getContent() {
    return num;
  }
}
